var mongo = require("./mongoHelp.js")
const uuidv4 = require('uuid/v4');

var lobby={
    list: () => {
        mongo.get("embezzle","gamelist",{}).then(result => {
            return (result)
        })
    },
    details: (gameID) => {
        mongo.get("embezzle","gamelist",{"gameID":gameID}).then(result => {
            return (result)
        })
    },
    register: (name) => {
        id=uuidv4()
        console.log({"_id":id,"name":name})
        mongo.put("embezzle","players",{"_id":id,"name":name})
        return(id)
    },
    make: (name,seats,ownerID) => {
        gameID=uuidv4()
        mongo.put("embezzle","gamelist",{"gameID":gameID,"ownerID":ownerID,"name":name,"seats":seats, "status":"lobby"})
        return(gameID)
    },
    start: (ownerID, gameID) => {
        mongo.update("embezzle","gamelist",{"gameID":gameID,"ownerID":ownerID}, {"status":"Playing"})
        return(gameID)
    },
}

module.exports = lobby